Page tree
Skip to end of metadata
Go to start of metadata

Systemvoraussetzungen für Shopsoftware xt:Commerce

Damit xt:Commerce einwandfrei funktioniert, müssen bestimmte Voraussetzungen an den Server erfüllt sein.

Bei Multishop-Installationen empfehlen wir einen eigenen Server.

  • PHP Libraries: cURL, Zlib, GDlib v2 mit GIF-Unterstützung
  • session_autostart = Off
  • Dateiuploads erlaubt
  • Views in der MySQL-Datenbank
  • "mod_rewrite" aktiviert
  • Symlinks aktiviert
  • allow_url_fopen & allow_url_include aktiviert/verfügbar

mindest Anforderung / mindest Version
cURL7.34.0
IonCube Loader

6.0.x

Download: http://www.ioncube.com/loaders.php

memory_limit

128 MB (ab 256 MB empfohlen, alles über 1 GB sinnvoll)

Bei produktiven Shops kann durchaus mehr benötigt werden.

max_execution_time

180 Sekunden

Bei produktiven Shops kann durchaus mehr benötigt werden

ZeichensatzUTF-8 (die Datenbank und alle Dateien)
Datenbank-Größe150 MB


Des Weiteren empfehlen wir den Betrieb auf einem Server mit Linux als Betriebssystem.

Auf Windows-basierten Systemen funktioniert xt:Commerce zwar, jedoch muss hier entweder ein Apache Webserver verwendet werden oder der IIS muss vollständig für PHP konfiguriert sein (was in der Regel nicht der Fall ist).


Sollten Sie sich nicht sicher sein, ob Ihr Server diese Voraussetzungen erfüllt, können Sie den Shop mit einer kostenlosen Demo-Lizenz auf den Webserver laden. Sobald der Ioncube-Loader installiert ist können Sie den Installer des Shops ausführen.

Der erste Schritt der Installation ist eine Prüfung der Systemvoraussetzungen


ShopversionKompatible PHP-VersionenKompatible MySQL-Versionen
xt:Commerce 5.0.0x7.0.x, 5.6.x5.7.x, 5.6.x, 5.5.x
xt:Commerce 4.2.005.5.x, 5.4.x5.5.x, 5.1.x


  • No labels